# opentl::modalities::DummyModality Class Reference

Inherits opentl::modalities::Modality.

List of all members.

## Public Types
## Public Member Functions
virtual DummyModality * | clone () const
| Clone this class and all potential childs RECURSIVELY!! (deep copy).
| DummyModality (const DummyModality &c)
| DummyModality (opentl::modelprojection::Warp *warp, int camIdx, opentl::modelprojection::GLRenderer *renderer=NULL)
opentl::core::cvdata::Image * | getImageZ (void)
virtual void | init ()
| Needed init() method for parameter handling.
virtual int | matchObjLevel (const TargetPtrVector &targets, T_MEAS_OBJPtrVector &outputMeas, std::size_t partitionIdx)
virtual int | matchPixLevel (const TargetPtrVector &targets, T_MEAS_PIXPtrVector &outputMeas, std::size_t partitionIdx)
| Matching on pixel level compare pixel-level image data with expected map, by projecting model data under a predicted state.
virtual int | preProcess (const opentl::core::cvdata::Image &image, const std::vector< std::vector< int > > &preProcessROIs)
| Generate ground-truth measurements (pixel- or object-level).
void | setGroundTruthData (TargetPtrVector *trueTargets, T_MEAS_OBJPtrVector *trueObjLevelMeas)
virtual | ~DummyModality ()

## Member Enumeration Documentation

enum opentl::modalities::DummyModality::OfflineParameters

Enumerator:

  measurementLevel | (core::cvdata::T_LEVEL) Measurement level (must be known in advance!)
  OFFLINE_COUNT |

Reimplemented from opentl::modalities::Modality.

enum opentl::modalities::DummyModality::OnlineParameters

Enumerator:

  meas_cov | (double) Covariance of measurement noise (object-level) 1st index: target ID 2nd index: pose param
  ONLINE_COUNT |

Reimplemented from opentl::modalities::Modality.

## Constructor & Destructor Documentation

opentl::modalities::DummyModality::DummyModality | ( | opentl::modelprojection::Warp * | warp,
|  | int | camIdx,
|  | opentl::modelprojection::GLRenderer * | renderer = `NULL` |
| ) |  |  |

opentl::modalities::DummyModality::DummyModality | ( | const DummyModality & | c | ) |

virtual opentl::modalities::DummyModality::~DummyModality | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual DummyModality* opentl::modalities::DummyModality::clone | ( |  | ) | const`[inline, virtual]`

Clone this class and all potential childs RECURSIVELY!! (deep copy).

Implements opentl::modalities::Modality.

opentl::core::cvdata::Image* opentl::modalities::DummyModality::getImageZ | ( | void |  | ) |

virtual void opentl::modalities::DummyModality::init | ( |  | ) | `[virtual]`

Needed init() method for parameter handling.

Reimplemented from opentl::modalities::Modality.

virtual int opentl::modalities::DummyModality::matchObjLevel | ( | const TargetPtrVector & | targets,
|  | T_MEAS_OBJPtrVector & | outputMeas,
|  | std::size_t | partitionIdx |
| ) |  |  | `[virtual]`

virtual int opentl::modalities::DummyModality::matchPixLevel | ( | const TargetPtrVector & | targets,
|  | T_MEAS_PIXPtrVector & | outputMeas,
|  | std::size_t | partitionIdx |
| ) |  |  | `[virtual]`

Matching on pixel level

- compare pixel-level image data with expected map, by projecting model data under a predicted state.

Parameters:

  | states | Predicted state
  | outputMeas | Pixel-space measurement (can be a pixel map of residuals, or a unique residual value)

Reimplemented from opentl::modalities::Modality.

virtual int opentl::modalities::DummyModality::preProcess | ( | const opentl::core::cvdata::Image & | image,
|  | const std::vector< std::vector< int > > & | preProcessROIs |
| ) |  |  | `[virtual]`

Generate ground-truth measurements (pixel- or object-level).

Parameters:

  | image | Input sensor data (e.g. camera image in RGB)
  | preProcessROIs | Regions of interest (x0,y0,width,height), per target

Reimplemented from opentl::modalities::Modality.

void opentl::modalities::DummyModality::setGroundTruthData | ( | TargetPtrVector * | trueTargets,
|  | T_MEAS_OBJPtrVector * | trueObjLevelMeas |
| ) |  |  | `[inline]`